## csmith 2.2.0

=== debian/changelog ===
csmith (2.2.0-2) unstable; urgency=medium

  [Matthias Klose]
  * Apply patches taken from Fedora:
    - Fix build on all arches by adding fallback implementation for getting
      initial seed. (Closes: #814198)
    - Use system header files.
  * Fix build on ppc64el.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 05 Mar 2016 02:42:39 +0900

csmith (2.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #633762)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 14 Nov 2015 04:49:14 +0900
