=== debian/control ===
Source: csmith
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), m4
Homepage: https://embed.cs.utah.edu/csmith/
Vcs-Git: git://anonscm.debian.org/collab-maint/csmith.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/csmith.git;a=summary

Package: csmith
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generator of random C programs
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.

Package: libcsmith0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generator of random C programs (runtime library)
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.
 .
 This package contains the runtime library files needed to run software
 using csmith.

Package: libcsmith-dev
Section: libdevel
Architecture: any
Depends: libcsmith0 (= ${binary:Version}), ${misc:Depends}
Description: generator of random C programs (development files)
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.
 .
 This package contains the header and development files needed to build
 programs and packages using csmith.

Package: libcsmith0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libcsmith0 (= ${binary:Version})
Description: generator of random C programs (debugging symbols)
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.
 .
 This package contains the debugging symbols for csmith.
