=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --dbg-package=libcsmith0-dbg

override_dh_install:
	mv debian/tmp/usr/bin/compiler_test.pl \
		debian/tmp/usr/bin/compiler_test
	mv debian/tmp/usr/bin/launchn.pl \
		debian/tmp/usr/bin/launchn
	mv debian/tmp/usr/bin/test_csmith.pl \
		debian/tmp/usr/bin/test_csmith

	dh_install
