=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/csmith-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/csmith-project/csmith/tags .*/v?(\d\S*)\.tar\.gz
