## csmith 2.3.0

=== debian/changelog ===
csmith (2.3.0-7.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:57:37 +0000

csmith (2.3.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061911

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:10:44 +0000

csmith (2.3.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + libcsmith-dev: Add Multi-Arch: same.

  [ Nobuhiro Iwamatsu ]
  * Update d/control
    + Bumped debhelper-compat to 13.
    + Bumped Standards-Version to 4.6.1.
    + Add 'Rules-Requires-Root: no'.
  * d/not-installed: Add file.
  * d/rules: Add '--exclude=.la' to dh's option.
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Dec 2022 07:01:38 +0900

csmith (2.3.0-6) unstable; urgency=medium

  * Add libsys-cpu-perl to Depends of csmith. (Closes: #913831)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 21 Dec 2018 08:26:14 +0900

csmith (2.3.0-5) unstable; urgency=medium

  * Fix Vcs-Browser Vcs-Browser and Vcs-Git.
  * Bumped Standards-Version to 4.2.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 30 Oct 2018 08:06:05 +0900

csmith (2.3.0-4) unstable; urgency=medium

  * Change Vcs-Browser and Vcs-Git to salsa.
  * Update Standards-Version to 4.1.4.
  * Update debhelper to 11.
  * Remove libcsmith0-dbg, dbg package is auto-generated.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Jun 2018 12:37:58 +0900

csmith (2.3.0-3) unstable; urgency=medium

  * Fix debian/watch.
  * Update Standards-Version to 4.1.1.
  * Support debhelper 10.
  * Remove Priority from libcsmith0-dbg.
    Change Priority from extra to optional.
  * Remove unused patch
  * Update patches/remove_version_from_path.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 21 Nov 2017 08:26:22 +0900

csmith (2.3.0-2) unstable; urgency=medium

  * Fix FTBFS on s390. (Closes: #872604)
    Add patches/fix_build_s390x.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Aug 2017 08:41:23 +0900

csmith (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    Update Standards-Version to 4.0.0.
  * Update debian/patches/ppc64el.patch.
  * Remove debian/patches/secondary-archs.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 03 Jul 2017 17:58:41 +0900
