=== debian/control ===
Source: csmith
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), m4
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/csmith
Vcs-Git: https://salsa.debian.org/debian/csmith.git
Homepage: https://embed.cs.utah.edu/csmith/

Package: csmith
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsys-cpu-perl
Description: generator of random C programs
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.

Package: libcsmith0t64
Provides: ${t64:Provides}
Replaces: libcsmith0
Breaks: libcsmith0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: generator of random C programs (runtime library)
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.
 .
 This package contains the runtime library files needed to run software
 using csmith.

Package: libcsmith-dev
Architecture: any
Section: libdevel
Depends: libcsmith0t64 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: generator of random C programs (development files)
 Csmith is a tool that can generate random C programs that statically
 and dynamically conform to the C99 standard. Thus, it is useful for
 stress-testing compilers, static analyzers, and other tools that
 process C code.
 .
 This package contains the header and development files needed to build
 programs and packages using csmith.
