=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --exclude=.la

override_dh_install:
	mv debian/tmp/usr/bin/compiler_test.pl \
		debian/tmp/usr/bin/compiler_test
	mv debian/tmp/usr/bin/launchn.pl \
		debian/tmp/usr/bin/launchn

	dh_install
