=== debian/watch ===
version=4
https://embed.cs.utah.edu/csmith/csmith-(.+).tar.gz
